import BaseChart from './Base';
declare class AreaChart extends BaseChart {
    tooltip: any;
    focus: any;
    element: any;
    d3: any;
    svg: any;
    t: any;
    x: any;
    y: any;
    data: any;
    g: any;
    xAxis: any;
    xAxisCall: any;
    yAxis: any;
    yAxisCall: any;
    defs: any;
    legend: any;
    area: any;
    line: any;
    overlay: any;
    lgN: any;
    tooltipEl: any;
    bisectDate: any;
    formatTime: any;
    parseTime: any;
    lg: any;
    constructor(el: any, options?: {});
    getConfig(): void;
    init(): void;
    refresh(): void;
    hideAllFocus(): void;
    showAllFocus(): void;
    resetWidth(): void;
    update(): void;
    draw(): void;
    dispose(): void;
}
export default AreaChart;
